package com.amazon.inputsdk.demo;

import android.graphics.PointF;
import android.graphics.Rect;

public class Obstacle {
    private PointF position;
    private int radius;
    private int velocity;

    public Obstacle(PointF position, int radius, int velocity) {
        this.position = position;
        this.radius = radius;
        this.velocity = velocity;
    }

    public Rect getRect() {
        return new Rect
                (
                        (int) (position.x - radius/2),
                        (int) (position.y - radius/2),
                        (int) (position.x + radius/2),
                        (int) (position.y + radius/2)
                );
    }

    public PointF getPosition() {
        return position;
    }

    public int getRadius() {
        return radius;
    }

    public void move() {
        position.y += velocity;
    }
}
