package com.amazon.inputsdk.demo;

import android.graphics.Bitmap;
import android.graphics.PointF;
import android.graphics.Rect;
import android.view.KeyEvent;

public class Player {
    private PointF position;
    private int velocity;
    private int width, height;
    private Bitmap image;

    private final int SPEED_MULTIPLIER = 3;

    public Player(PointF position, int velocity, Bitmap image, int width, int height) {
        this.position = position;
        this.velocity = velocity;
        this.image = image;
        this.width = width;
        this.height = height;
    }

    public Bitmap getImage() {
        return image;
    }

    public Rect getRect() {
        return new Rect
                (
                        (int) (position.x - width/2),
                        (int) (position.y - height/2),
                        (int) (position.x + width/2),
                        (int) (position.y + height/2)
                );
    }

    public void moveLeft(KeyEvent event) {
        int multiplier = 1;
        if(event.isShiftPressed()) {
            multiplier = SPEED_MULTIPLIER;
        }
        position.x -= (multiplier * velocity);
    }

    public void moveRight(KeyEvent event) {
        int multiplier = 1;
        if(event.isShiftPressed()) {
            multiplier = SPEED_MULTIPLIER;
        }
        position.x += (multiplier * velocity);
    }

}
